isc-kea (2.2.0-5ubuntu2) lunar; urgency=medium

  * d/NEWS: update with noteworthy changes (LP: #2007313)
  * Restrict access to the default RESTful API on 127.0.0.1:8000 to
    authenticated users (LP: #2007312):
    - d/kea-ctrl-agent.templates, d/po/POTFILES.in, d/po/templates.pot:
      debconf templates
    - d/control: debconf build-deps
    - d/kea-ctrl-agent.postinst: handle kea-api password creation
    - d/kea-ctrl-agent.config: prepare debconf questions
    - d/kea-ctrl-agent.postrm: purge api password file
    - d/p/0011-kea-ctrl-agent-authentication.patch: set kea-ctrl-agent
      up to require a password. The actual password is setup in
      maintainerscripts, and/or asked to the user via debconf.
    - d/t/kea-ctrl-agent.service: require a non-empty kea api password
      file
    - d/t/control, d/t/kea-ctrl-agent-debconf: test debconf options
    - d/t/smoke-tests, d/t/kea-dhcp4: support kea-ctrl-agent
      authentication

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 24 Mar 2023 20:13:26 -0300

isc-kea (2.2.0-5ubuntu1) lunar; urgency=medium

  * d/rules: add strict shlibs control file. kea-common ships 22 different
    shared libraries. Since they are written in C++, we ship a strict shlibs
    file instead of maintaining a bloated symbols file.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 10 Mar 2023 14:52:18 -0300

isc-kea (2.2.0-5) unstable; urgency=medium

  [ Paride Legovini ]
  * d/control: update to Standards-Version 4.6.2, no changes needed

  [ Andreas Hasenack ]
  * d/t/kea-dhcp4.conf.template: retry opening a socket. Sometimes the
    `keabr0` bridge used in the DEP8 test takes a while to become ready, and
    kea-dhcp4 fails to open a socket on it. Add configuration options to
    kea-dhcp4 to retry opening the socket a few times before giving up.
    (LP: #2008932)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 02 Mar 2023 14:00:17 -0300

isc-kea (2.2.0-4) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/rules: use MathJax from libjs-mathjax instead loading from external CDN

  [ Andreas Hasenack ]
  * d/t/kea-dhcp4: make the test more robust
    - increase dhclient timeout to 60s, and run in verbose mode
    - show logs in the case of failure
    - set +e inside the cleanup handler
    - fix resolv.conf regexp

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 27 Feb 2023 14:58:26 -0300

isc-kea (2.2.0-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Add apparmor profiles.
    - d/control: add build-depends on dh-apparmor
    - d/usr.sbin.kea-*: add the profiles
    - d/kea-*.install: install the profiles
    - d/rules: use dh_apparmor to enable the profiles
  * d/tests: Add DEP8 test for kea-dhcp4

 -- Paride Legovini <paride@debian.org>  Fri, 17 Feb 2023 19:59:43 +0100

isc-kea (2.2.0-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/tests: add simple DEP8 smoke tests
  * Set default control sockets location to /run/kea (Closes: #1014929)
    (LP: #1863100)

  [ Paride Legovini ]
  * d/control: drop dependency on lsb-base (obsolete)
  * d/salsa-ci.yml: enable the autopkgtest job
  * d/kea-common.*:
    - Do not install keactrl. The keactrl script is not systemd-aware and not
      installed by the upstream .deb packages. Remove it from the Debian
      packaging
    - Leave handling of /var/*/kea directories to systemd. No need to create
      them in packaging as the systemd units will automatically create them
      with the right ownership and permissions
  * d/*.service:
    - Do not set KEA_LOGGER_DESTINATION. The variable is meant to tell the
      daemons where to log *before* their config files are loaded. If unset
      the default is stdout, which works well with systemd
    - Do not set KEA_PIDFILE_DIR. What we set it to corresponds to the
      defaults. The documentation says that KEA_PIDFILE_DIR "is intended
      primarily for testing"
  * d/rules: use the systemd journal for logging (Closes: #1016747)
    (LP: #2006522)
  * d/kea-doc.README.Debian: document how logging is done by default
  * d/tests/smoke-tests: check location of PID and lock files

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 14 Feb 2023 11:24:58 -0300

isc-kea (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.
    Thanks to Daniel Baumann (Closes: #1016109)
  * debian/patches:
    - 0002-kea_admin_fix.patch: refresh patch
    - 0007-keyctrl-colored-ddns-status.patch: drop patch (fixed upstream)
    - 0009-disable-database-tests.patch: refresh patch
    - 0010-build-libco-when-gtest-is-not-enabled: drop patch (fixed upstream)
    - 0011-sphinx-set-language.patch: drop patch (fixed upstream)
  * d/kea-doc.doc-base: register documentation to doc-base
  * Lintian overrides:
    - *.lintian-overrides: adapt to "pointed hints" syntax
    - kea-admin.l-o: bash-term-in-posix-shell (false positives)
    - d/kea-doc.l-o: add overrides for sphinx installed fonts.
      + font-in-non-font-package [usr/share/doc/kea/html/_static/fonts/*]
      + font-outside-font-dir [usr/share/doc/kea/html/_static/fonts/*]
  * d/copyright: remove file patterns made unnecessary by new release
  * d/salsa-ci.yml: add salsa CI

 -- Paride Legovini <paride@debian.org>  Tue, 02 Aug 2022 12:16:45 +0000

isc-kea (2.0.2-3) unstable; urgency=medium

  * d/rules: configure: specify the Python site packages location.
    Related changes:
     - d/python3-kea-connector.install: update paths accordingly
    Thanks to Kilian Krause (Closes: #1014995)

 -- Paride Legovini <paride@debian.org>  Wed, 20 Jul 2022 16:03:19 +0000

isc-kea (2.0.2-2) unstable; urgency=medium

  * d/patches: explicitly set the sphinx doc language.
    Needed for compatibility with Sphinx 5.0. New patch:
    - d/p/0011-sphinx-set-language.patch (Closes: #1013407)
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/gbp.conf: debian-branch = debian/unstable (DEP-14)
  * d/gbp.conf: enable use of pristine-tar
  * d/watch.include-odd-versions: alternative watch file.
    Also covers the odd-numbered (= devel) upstream releases.

 -- Paride Legovini <paride@debian.org>  Sun, 26 Jun 2022 14:48:25 +0000

isc-kea (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Paride Legovini <paride@debian.org>  Mon, 07 Mar 2022 21:13:17 +0000

isc-kea (2.0.1-2) unstable; urgency=medium

  * Upload to Debian unstable
  * wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Sun, 30 Jan 2022 19:39:09 +0100

isc-kea (2.0.1-1) experimental; urgency=medium

  * New upstream version 2.0.1 (Closes: #954768, #973641)
  * d/watch: fix search path and only match stable versions (Closes: #974611)
  * d/u/signing-key.asc: replace with new key for 2021-2022.
  * d/control:
    - Update Standards-Version to 4.6.0 (no changes needed)
    - Switch to dh compat level 13
    - Set Rules-Requires-Root: no
    - Drop ORed dependency on obsolete libmysqlclient-dev
    - Add python3-kea-connector dependency to kea-ctrl-agent
    - Build-Depend on procps (test dependency)
    - Drop Section: libs for kea-common (fallback to Section: net)
    - Minor cosmetic changes to the descriptions
  * d/rules:
    - Don't pass --as-needed to ld (it's now the default)
    - Drop explicit `dh_missing --fail-missing` (default in dh 13)
    - Drop useless override_dh_auto_make target
    - Drop override_dh_clean (not needed)
    - Use execute_after_* targets where appropriate
    - Do not ignore the test results
    - Drop unnecessary $@ in override_dh_auto_configure
    - Disable out-of-source building (dh -B)
    - Set localstatedir to /var (Closes: #959149)
    - Delete __pycache__ recursively
    - Don't delete keactrl.8
    - Drop `dh_installdocs -A`: it prevents using a main doc package
    - Build perfdhcp (configure flag: --enable-perfdhcp)
  * d/patches:
    - 0001-support_kfreebsd: refresh patch
    - 0002-kea_admin_fix: refresh patch
    - 0003-Use-runstatedir-for-pid-file-location.patch: drop, fixed upstream
    - d/p/0004-Put-KEA_LOCKFILE_DIR-to-runstatedir.patch: drop patch.
      Replaced by setting the KEA_LOCKFILE_DIR environment variable.
    - 0007-keyctrl-colored-ddns-status.patch: add patch
    - 0009-disable-database-tests.patch: add patch.
      Skip the database tests (problematic to run in automation).
    - 0010-build-libco-when-gtest-is-not-enabled.patch: add patch.
      Fix test suite fails if Kea is built without gtest.
    - Always use the .patch extension for uniformity
  * d/docs: drop file, replaced by kea-doc.docs
  * d/kea-doc.install: drop file, replaced by d/kea-doc.docs
  * d/kea-admin.install: install perfdhcp
  * d/*.install: move manpages to d/*.manpages
  * d/kea-common.manpages: install keactrl.8
  * d/kea-doc.docs:
    - Add CONTRIBUTING.md
    - Install the API reference
  * d/not-installed: refresh list of not-installed files
  * d/s/lintian-overrides: override very-long-line-length-in-source-file
  * d/kea-common.l-o: override script-not-executable etc/kea/keactrl.conf.
    Has a shebang but it's meant to be sourced, not executed.
  * d/u/metadata: add upstream metadata file
  * d/copyright:
    - Add Canonical Ltd. for debian/*
    - Drop references to nonexisting files
  * d/control: add Paride Legovini to Uploaders

 -- Paride Legovini <paride@debian.org>  Thu, 27 Jan 2022 12:27:23 +0100

isc-kea (1.7.5-1) unstable; urgency=medium

  * Bump dh compat to 12, bump debian standard to 4.5.0
    (dh_compat v11 is broken and should not be used)
  * New upstream version 1.7.5
  * Security issues fixed since 1.5.0-2:
   + CVE-2019-6472: A packet containing a malformed DUID can cause the
     kea-dhcp6 server to terminate
   + CVE-2019-6473: An invalid hostname option can cause the kea-dhcp4
     server to terminate
   + CVE-2019-6474: An oversight when validating incoming client requests
     can lead to a situation where the Kea server will exit when trying to
     restart
  * Add python3-sphinx and python3-sphinx-rtd-theme to Build-Depends to
    build the documentation
  * Adjust installed files
  * Add 'kea' metapackage that depends on all server components of Kea
  * Fix more ISC KEA -> Kea naming
  * Cleanup the lintian warnings

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Mar 2020 11:11:05 +0100

isc-kea (1.5.0-2) unstable; urgency=medium

  [ Jason Guy  ]
  * Stop deleting _kea user and group on postrm for security
  * Drop debhelper compat to v11; v12 adds dependency on init-system-helpers
    (>=1.52), and stretch uses 1.48.

  [ Badreddin Aboubakr ]
  * Fix systemd service file & create group kea
  * Fix maintaner scripts to handle the _kea group (Closes: #924105)

  [ Michal Nowikowski ]
  * Fixed names of referenced services in WantedBy fields

 -- Ondřej Surý <ondrej@sury.org>  Wed, 12 Jun 2019 16:11:11 +0200

isc-kea (1.5.0-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 1.5.0 (Closes: #916288)
  * Update d/watch to use better mangling and https:// URL
  * Update ISC signing key
  * Bump debhelper compat level to v12
  * Fix some default paths to use runstatedir
  * Create a non-privileged user _kea and run the Kea services under that user
    (Closes: #910671)
  * Add the netconf stuff to d/not-installed
  * Greatly simplify d/copyright (Closes: #905214)
  * Fix dpkg-statoverride usage in maintscripts
  * Add adduser to kea-common Depends
  * Add Pre-Depends: ${misc:Pre-Depends} for systemd Pre-Depends
  * DHCPv4 daemon also needs CAP_NET_RAW
  * It's Kea, not ISC KEA; fix the .service files

  [ Yuval Freund ]
  * Fix python dep issue. (Closes: #905977, #908491)

  [ Badreddin Aboubakr ]
  * Fix systemd Unit Files
    + Change lock directory (systemd nesting issue)
    + Quote RuntimeDirectory
    + Remove "LogsDirectory" and "LogsDirectoryMode" (they are not
      supported in systemd 232)

  [ Jason Guy ]
  * Added a new patch to fix the kea-admin script.
  * Fixed the postrm script (Closes: #905421)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Feb 2019 12:12:36 +0000

isc-kea (1.4.0.P1-5) unstable; urgency=medium

  * Non-maintainer upload.
  * Added a missing python3 dependency (Closes: #905977)
  * Fixed kea-ctrl-agent dependency (Closes: #908491)
  * Fixed kea-common postrm script (Closes: #905421)
  * Fixed state directories (Closes: #910671)
  * Fixed copyright (Closes: #905214)
  * Cleaned up quilt patches.

 -- Jason Guy <jason.e.guy@gmail.com>  Sun, 16 Dec 2018 19:31:18 -0500

isc-kea (1.4.0.P1-3) unstable; urgency=medium

  [ Ondřej Surý ]
  * Install keactrl binary and manpage to kea-common package
  * Make package backportable to Ubuntu Trusty that doesn't have
    debian/not-installed support yet
  * Tighten the permissions on the /run/lock/kea, /var/log/kea and
    /var/lib/kea directory
  * Merge little bits from Jason in d/control and d/rules
  * Cleanup install files

  [ Jason Guy ]
  * Added missing files.
  * Minor fixes to the lockfile paths.

  [ Adam Majer ]
  * Update ISC signing key for 2017-2018
  * Add python3-kea-connector and kea-ctrl-agent files

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jul 2018 15:53:56 +0000

isc-kea (1.4.0.P1-2) unstable; urgency=medium

  * Add alternative dependency for default-libmysqlclient-dev to make
    backporting easier
  * Re-enable mysql and pgsql backends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 14 Jul 2018 12:14:40 +0000

isc-kea (1.4.0.P1-1) unstable; urgency=medium

  * New upstream version 1.4.0.P1
   + [CVE-2018-5739]: failure to release memory may exhaust system
     resources (Closes: #903729)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 14 Jul 2018 08:51:37 +0000

isc-kea (1.4.0-2) experimental; urgency=medium

  * New upstream version 1.4.0 (Closes: #874501, #874501)
  * Update Maintainer, Uploaders and Vcs-* Links
  * Use --fail-missing to catch files not installed which should be
  * Update bug numbers in d/changelog
  * Add kea-admin binary into kea-admin package (Closes: #851712)
  * Install hooks in kea-common package and kea-ctrl-agent into kea-utils
    package
  * Move kea-ctrl-agent to kea-admin package

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jul 2018 20:00:33 +0000

isc-kea (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0 (Closes: #874501, #874501)
  * Rebase patches on top of Kea 1.4
  * Use upstream conffiles
  * Run d/ through wrap-and-sort -a + add dh-autoconf
  * Enable autoreconf
  * Don't install *.spec files

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jul 2018 18:42:25 +0000

isc-kea (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0 (closes: #844536)
    + support PostgreSQL and MySQL for host reservation for both
      DHCPv4 and DHCPv6
    + allows MySQL and PostgreSQL host reservations databases
      to operate in read-only mode
    + extends host reservations capabilities based on specific
      DHCP options.
    + expanded client classification system
    + DHCPv4-over-DHCPv6 - RFC7341
  * builds with default mysql library (closes: #845856)
  * debian/patches:
    - fix_gcc6 - removed, upstreamed
    - openssl1.1 - add OpenSSL 1.1 support (closes: #828356)

 -- Adam Majer <adamm@zombino.com>  Sun, 27 Nov 2016 23:07:17 +0100

isc-kea (1.0.0-4) unstable; urgency=medium

  * debian/rules:
    + Disable warnings being treated as errors during compilation.
      This fixes compilation with GCC 6.0 and Kea's use of
      auto_ptr which trigger depreciation warning (closes: #831123)
  * debian/patches/fix_gcc6:
    + fix compilation with gcc6 C++14

 -- Adam Majer <adamm@zombino.com>  Mon, 25 Jul 2016 22:23:36 +0200

isc-kea (1.0.0-3) unstable; urgency=medium

  * debian/patches/support_kfreebsd:
    + Add support for kFreeBSD - detect it as FreeBSD
  * debian/watch:
    + Only detect X.Y.Z* version formats
    + Sort beta and other candidates before final release
    + Verify upstream GPG signature
  * debian/control:
    + Remove dependency on Botan. Use OpenSSL instead.
  * debian/rules:
    + Disable dependency tracking for faster build
    + Fix typo in configure script
  * Updated .service files to start KEA services only after
    network is up and time has been synced.
  * Update Standard to 3.9.7. No changes.

 -- Adam Majer <adamm@zombino.com>  Thu, 03 Mar 2016 20:49:02 -0600

isc-kea (1.0.0-2) unstable; urgency=medium

  * debian/copyright:
    + Explicitly list more embedded boost headers
  * debian/control:
    + Do not require specific PostgreSQL version (closes: #814323)

 -- Adam Majer <adamm@zombino.com>  Fri, 26 Feb 2016 13:37:51 -0600

isc-kea (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #759703)

 -- Adam Majer <adamm@zombino.com>  Tue, 19 Jan 2016 13:15:40 -0600
